# WebhookRegistrationService

> The WebhookRegistrationService methods and their request and response messages.

Source: https://engramsfactory.com/docs/api/webhook-registration/

Generated from [`automation.proto`](https://github.com/cortexapps/engrams/blob/main/crates/engram-protocol/proto/engram/app/v1/automation.proto). Every method is
`POST /rpc/engram.app.v1.WebhookRegistrationService/<Method>` with a JSON or protobuf body and an
`x-api-key` header.

## Methods

| Method | Request | Response |
|---|---|---|
| `CreateWebhookRegistration` | [`CreateWebhookRegistrationRequest`](#createwebhookregistrationrequest) | [`CreateWebhookRegistrationResponse`](#createwebhookregistrationresponse) |
| `ListWebhookRegistrations` | [`ListWebhookRegistrationsRequest`](#listwebhookregistrationsrequest) | [`ListWebhookRegistrationsResponse`](#listwebhookregistrationsresponse) |
| `DeleteWebhookRegistration` | [`DeleteWebhookRegistrationRequest`](#deletewebhookregistrationrequest) | [`DeleteWebhookRegistrationResponse`](#deletewebhookregistrationresponse) |
| `ListWebhookEvents` | [`ListWebhookEventsRequest`](#listwebhookeventsrequest) | [`ListWebhookEventsResponse`](#listwebhookeventsresponse) |

## Messages

### CreateWebhookRegistrationRequest

| Field | Type |
|---|---|
| `id` | `string` |
| `name` | `string` |
| `verification_scheme` | `string` |
| `provider_hint` | `string` (optional) |

### CreateWebhookRegistrationResponse

| Field | Type |
|---|---|
| `registration` | [`WebhookRegistration`](#webhookregistration) |
| `secret` | `string` |

### DeleteWebhookRegistrationRequest

| Field | Type |
|---|---|
| `id` | `string` |

### DeleteWebhookRegistrationResponse

| Field | Type |
|---|---|
| `deleted` | `bool` |

### ListWebhookEventsRequest

| Field | Type |
|---|---|
| `registration_id` | `string` |

### ListWebhookEventsResponse

| Field | Type |
|---|---|
| `events` | repeated [`WebhookEvent`](#webhookevent) |
| `variables` | repeated [`WebhookVariable`](#webhookvariable) |

### ListWebhookRegistrationsRequest

No fields.

### ListWebhookRegistrationsResponse

| Field | Type |
|---|---|
| `registrations` | repeated [`WebhookRegistration`](#webhookregistration) |

### WebhookEvent

| Field | Type |
|---|---|
| `key` | `string` |
| `display_name` | `string` |
| `observed` | `bool` |

### WebhookRegistration

| Field | Type |
|---|---|
| `id` | `string` |
| `name` | `string` |
| `verification_scheme` | `string` |
| `provider_hint` | `string` (optional) |
| `created_by_user_id` | `string` (optional) |
| `created_at` | `string` |
| `updated_at` | `string` |
| `disabled_reason` | `string` (optional) |

### WebhookVariable

| Field | Type |
|---|---|
| `path` | `string` |
| `alias` | `string` |
